'use strict';

var _rollupPluginBabelHelpers = require('./internal/_rollupPluginBabelHelpers.js');

/**
 * DeCapitalizes the first letter of a string.
 */
var deCapitalize = function (_ref) {
  var _ref2 = _rollupPluginBabelHelpers._toArray(_ref),
      first = _ref2[0],
      rest = _ref2.slice(1);

  var upperRest = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  return first.toLowerCase() + (upperRest ? rest.join('').toUpperCase() : rest.join(''));
};

module.exports = deCapitalize;
